## mkvtoolnix-2.4.0.tar.bz2

=== src/tools/Makefile ===
all_with_tools:
	make -C .. TOOLS=1

APPLICATIONS += src/tools/base64tool$(EXEEXT) src/tools/diracparser$(EXEEXT) src/tools/vc1parser$(EXEEXT) src/tools/ebml_validator$(EXEEXT)
ALL_SOURCES  += $(wildcard src/tools/*.cpp)
MANPAGES     +=  doc/base64tool.1

vc1parser_SOURCES = src/tools/vc1parser.cpp
vc1parser_OBJECTS = $(patsubst %.cpp,%.o,$(vc1parser_SOURCES))
vc1parser_DEPENDENCIES = $(DEP_COMMON)
vc1parser_LDADD = -lmtxcommon $(MAGIC_LIBS) -lmatroska -lebml \
		-lz $(COMPRESSION_LIBRARIES) -lexpat $(ICONV_LIBS) \
		$(LIBINTL_LIBS) $(LIBRPCRT)

diracparser_SOURCES = src/tools/diracparser.cpp
diracparser_OBJECTS = $(patsubst %.cpp,%.o,$(diracparser_SOURCES))
diracparser_DEPENDENCIES = $(DEP_COMMON)
diracparser_LDADD = -lmtxcommon $(MAGIC_LIBS) -lmatroska -lebml \
		-lz $(COMPRESSION_LIBRARIES) -lexpat $(ICONV_LIBS) \
		$(LIBINTL_LIBS) $(LIBRPCRT)

base64tool_SOURCES = src/tools/base64tool.cpp
base64tool_OBJECTS = $(patsubst %.cpp,%.o,$(base64tool_SOURCES))
base64tool_DEPENDENCIES += $(DEP_COMMON)
base64tool_LDADD = -lmtxcommon $(MAGIC_LIBS) -lexpat $(ICONV_LIBS) $(LIBINTL_LIBS) $(LIBRPCRT)

ebml_validator_SOURCES = src/tools/ebml_validator.cpp src/tools/element_info.cpp
ebml_validator_OBJECTS = $(patsubst %.cpp,%.o,$(ebml_validator_SOURCES))
ebml_validator_DEPENDENCIES = $(DEP_COMMON)
ebml_validator_LDADD = -lmtxcommon $(MAGIC_LIBS) -lmatroska -lebml \
		-lz $(COMPRESSION_LIBRARIES) -lexpat $(ICONV_LIBS) \
		$(LIBINTL_LIBS) $(LIBRPCRT)


base64tool: src/tools/base64tool$(EXEEXT)

src/tools/base64tool$(EXEEXT): $(base64tool_OBJECTS) $(base64tool_DEPENDENCIES)
	@echo '    LINK ' $@
	$(Q)$(LINK) -o $@ $(base64tool_OBJECTS) $(base64tool_LDADD)

diracparser: src/tools/diracparser$(EXEEXT)

src/tools/diracparser$(EXEEXT): $(diracparser_OBJECTS) $(diracparser_DEPENDENCIES)
	@echo '    LINK ' $@
	$(Q)$(LINK) -o $@ $(diracparser_OBJECTS) $(diracparser_LDADD)

vc1parser: src/tools/vc1parser$(EXEEXT)

src/tools/vc1parser$(EXEEXT): $(vc1parser_OBJECTS) $(vc1parser_DEPENDENCIES)
	@echo '    LINK ' $@
	$(Q)$(LINK) -o $@ $(vc1parser_OBJECTS) $(vc1parser_LDADD)

ebml_validator: src/tools/ebml_validator$(EXEEXT)

src/tools/ebml_validator$(EXEEXT): $(ebml_validator_OBJECTS) $(ebml_validator_DEPENDENCIES)
	@echo '    LINK ' $@
	$(Q)$(LINK) -o $@ $(ebml_validator_OBJECTS) $(ebml_validator_LDADD)

=== debian/changelog ===
mkvtoolnix (2.4.0) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 11 Oct 2008 19:15:04 +0200

mkvtoolnix (2.3.0) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun,  7 Sep 2008 14:46:23 +0200

mkvtoolnix (2.2.0) unstable; urgency=low

  * New version. The package was renamed to mkvtoolnix and
    mkvtoolnix-gui keeping in line with the official Debian packages.

 -- Moritz Bunkus <moritz@bunkus.org>  Mon,  3 Mar 2008 17:59:26 +0100

mkvtoolnix (2.1.0-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 19 Aug 2007 11:22:17 +0200

mkvtoolnix (2.0.2-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Wed, 21 Feb 2007 10:52:33 +0100

mkvtoolnix (2.0.0-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 13 Jan 2007 18:42:02 +0100

mkvtoolnix (1.8.1-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 25 Nov 2006 09:10:08 +0100

mkvtoolnix (1.8.0-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Fri, 10 Nov 2006 08:50:20 +0100

mkvtoolnix (1.7.0-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Fri, 28 Apr 2006 16:49:38 +0200

mkvtoolnix (1.6.5-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Wed,  7 Dec 2005 18:21:18 +0100

mkvtoolnix (1.6.0-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Thu, 13 Oct 2005 14:57:06 +0200

mkvtoolnix (1.5.6-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Tue, 30 Aug 2005 13:39:25 +0200

mkvtoolnix (1.5.5-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 21 Aug 2005 15:06:07 +0200

mkvtoolnix (1.5.0-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Thu, 30 Jun 2005 14:17:18 +0200

mkvtoolnix (1.4.2-2) unstable; urgency=low

  * Built against wxgtk 2.4 because 2.5 was removed due to licensing
    problems.

 -- Moritz Bunkus <moritz@bunkus.org>  Tue,  3 May 2005 18:25:39 +0200

mkvtoolnix (1.4.2-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat,  9 Apr 2005 19:33:16 +0200

mkvtoolnix (1.4.1-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Tue, 15 Mar 2005 09:30:31 +0100

mkvtoolnix (1.4.0-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 26 Feb 2005 14:12:27 +0100

mkvtoolnix (1.1.9-2) unstable; urgency=low

  * Updated the dependency to libwxgtk2.4-dev | libwxgtk2.5-dev.

 -- Moritz Bunkus <moritz@bunkus.org>  Thu,  9 Dec 2004 22:23:29 +0100

mkvtoolnix (1.1.9-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 21 Aug 2004 17:49:18 +0200

mkvtoolnix (0.9.6-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Thu,  7 Oct 2004 14:36:18 +0200

mkvtoolnix (0.9.5-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 14 Aug 2004 15:52:26 +0200

mkvtoolnix (0.9.4-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 25 Jul 2004 12:04:17 +0200

mkvtoolnix (0.9.3-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 18 Jul 2004 18:19:30 +0200

mkvtoolnix (0.9.2-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Mon, 28 Jun 2004 21:07:26 +0200

mkvtoolnix (0.9.1-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 13 Jun 2004 12:45:39 +0200

mkvtoolnix (0.9.0-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Mon, 31 May 2004 23:30:13 +0200

mkvtoolnix (0.8.9-3) unstable; urgency=low

  * Built on a clean Debian/sid system so that it should not depend on
    libgcc1 3.4 anymore.

 -- Moritz Bunkus <moritz@bunkus.org>  Tue, 11 May 2004 12:36:58 +0200

mkvtoolnix (0.8.9-2) unstable; urgency=low

  * Built with gcc 3.3.3 instead of 3.4.

 -- Moritz Bunkus <moritz@bunkus.org>  Fri,  7 May 2004 10:11:23 +0200

mkvtoolnix (0.8.9-1) unstable; urgency=low

  * New Version.

 -- Moritz Bunkus <moritz@bunkus.org>  Thu,  6 May 2004 19:47:22 +0200

mkvtoolnix (0.8.8-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Fri, 23 Apr 2004 19:00:28 +0200

mkvtoolnix (0.8.7-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Mon,  5 Apr 2004 13:36:04 +0200

mkvtoolnix (0.8.6-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 13 Mar 2004 13:17:06 +0100

mkvtoolnix (0.8.5-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 22 Feb 2004 12:13:44 +0100

mkvtoolnix (0.8.4-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Wed, 11 Feb 2004 09:12:52 +0100

mkvtoolnix (0.8.3-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Mon,  9 Feb 2004 22:47:03 +0100

mkvtoolnix (0.8.2-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Tue, 20 Jan 2004 15:57:18 +0100

mkvtoolnix (0.8.1-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Mon,  5 Jan 2004 22:30:12 +0100

mkvtoolnix (0.8.0-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Tue, 30 Dec 2003 10:54:19 +0100

mkvtoolnix (0.7.9-2) unstable; urgency=low

  * Readded dh_installdocs which got lost somehow.
  * Added a menu entry.

 -- Moritz Bunkus <moritz@bunkus.org>  Thu, 11 Dec 2003 21:23:36 +0100

mkvtoolnix (0.7.9-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Thu, 11 Dec 2003 19:29:46 +0100

mkvtoolnix (0.7.8-1) unstable; urgency=low

  * New version.



=== debian/control ===
Source: mkvtoolnix
Section: graphics
Priority: optional
Maintainer: Moritz Bunkus <moritz@bunkus.org>
Build-Depends: debhelper (>> 4.0.0), libebml-dev (>= 0.7.7-1), libmatroska-dev (>= 0.8.0-1), libogg-dev, libvorbis-dev, libwxgtk2.6-dev | libwxgtk2.8-dev, libexpat1-dev, zlib1g-dev, liblzo-dev, libbz2-dev, libflac-dev, groff, libmagic-dev, libboost-regex-dev
Standards-Version: 3.7.2

Package: mkvtoolnix
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: mkvtoolnix-mb
Suggests: mkvtoolnix-gui
Description: Command line tools to create and work with Matroska media files
 Matroska is aiming to become the standard of Multimedia Container
 Formats. It is based on EBML (Extensible Binary Meta Language), a
 kind of binary version of XML. These tools can work with Matroska files:
   * mkvmerge creates Matroska files from various other formats.
   * mkvinfo lists information about the tracks contained in a Matroska
     file.
   * mkvextract extracts tracks from a Matroska file into other suitable
     file formats.
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix, ${shlibs:Depends}
Conflicts: mkvtoolnix-mb
Description: Tools for working with Matroska media files -- GUI frontend
 Matroska is aiming to become the standard of Multimedia Container
 Formats. It is based on EBML (Extensible Binary Meta Language), a
 kind of binary version of XML. These tools can work with Matroska files:
   * mkvmerge creates Matroska files from various other formats.
   * mkvinfo lists information about the tracks contained in a Matroska
     file.
   * mkvextract extracts tracks from a Matroska file into other suitable
     file formats.
 .
 This package contains mmg, a GUI frontend to mkvmerge.
